package types

// IServBot -- серверный бот среальным состоянием
type IServBot interface {
	// Name -- возвращает им бота
	Name() string
	// Pass -- возвращае тпароль бота
	Pass() string
	// Angar -- возвращает ангар бота
	Angar() IAngar
	// Tank -- возврщает параметры танка
	Tank() ITank
	// BotNet -- возвращает объект сети
	BotNet() IBotNet
	// Run -- запускает бота в работу
	Run() error
}
